This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 154186 - new OOo 2.0 does not have font fallback yet
new OOo 2.0 does not have font fallback yet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-04-07 21:36 EDT by Leon Ho
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.9.96-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-29 06:05:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of 1.9.89-5 (54.58 KB, image/png)
2005-04-08 06:29 EDT, Caolan McNamara
no flags Details
oowriter screenshot in zh_TW (20.86 KB, image/png)
2005-04-11 01:40 EDT, Leon Ho
no flags Details
oowriter in LANG=ko_KR.UTF-8 (28.31 KB, image/png)
2005-04-14 01:01 EDT, Leon Ho
no flags Details
replace /usr/lib/openoffice.org1.9.92/share/registry/data/org/openoffice/VCL.xcu with this (258.63 KB, application/octet-stream)
2005-04-14 04:58 EDT, Caolan McNamara
no flags Details

  None (edit)
Description Leon Ho 2005-04-07 21:36:06 EDT
Description of problem:
Maybe you have plan in mind, however currently in FC4 test2, OOo does not have
any font fallback facility.

Version-Release number of selected component (if applicable):
1.9.89-3

How reproducible:
everytime

Steps to Reproduce:
1. LANG=zh_TW.UTF-8 oowriter
2. ctrl-space
3. type a, space
  
Actual results:
it is in square

Expected results:
it should shown in chinese

Additional info:
Comment 1 Caolan McNamara 2005-04-08 06:29:47 EDT
Created attachment 112850 [details]
screenshot of 1.9.89-5

There might be some tweaking to do for the font fallbacks. But given the
openoffice.org-langpack-zh_TW-1.9.89-5 installed I get this screenshot with
iiimf enabled and ctrl space + a... This the way it should be ?
Comment 2 Lawrence Lim 2005-04-11 00:08:33 EDT
Yup, the output is the correct one. However, the pop up box should not be empty.
It should display a list of candidates for user to choose from.
Comment 3 Lawrence Lim 2005-04-11 01:03:45 EDT
Some additional information.

At the moment, with openoffice.org-core-1.9.88-5, CJK all defaults to Kochi
Minco, while Indic locale defaults to Tohama.

The correct one should be as follows:
1) ja: Kochi Mincho
2) ko: Baekmuk Gulim
3) zh_TW: AR PL Mingti 2L
4) zh_CN: AR PL Sungti L

5) bn_IN: Lohit Bengali
6) gu_IN: Lohit Gujarati
7) hi_IN: Lohit Hindi
8) pa_IN: Lohit Punjabi
9) ta_IN: Lohit Tamil
Comment 4 Leon Ho 2005-04-11 01:40:41 EDT
Created attachment 112936 [details]
oowriter screenshot in zh_TW

I have a different result. I have upgraded to -5 and also installed the zh_TW
lang-pack. The font is currently fallback to japanese fonts.

Second, the menu is not antialiased and the ascii glyphs are doublespaced.
Comment 5 Caolan McNamara 2005-04-12 04:51:46 EDT
"The pop up box should not be empty." is an artifact of the screenshot, the
options are displayed.

I've merged in the same defaults used in 1.1.X to 1.9.92, please have a look
again, and let me know what (if any) default fonts need changing. (You can look
at the existing defaults in
/usr/lib/openoffice.org1.9.92/share/registry/data/org/openoffice/VCL.xcu)

If there are still some incorrect defaults, tell me which class of font is
wrong, the UIfont used in menus or the default font used in writer, or someother
font. Note in 1.9.X OOo will apparently make an effort to use the gnome UI font
for its menu fonts if it can, but if it finds it unsuitable then uses its
replacement system.
Comment 7 Leon Ho 2005-04-14 01:00:03 EDT
I have upgraded again to latest package. It is getting better. All of the
fallback definitions are okay except ja_JP but I will give you the information
on the preferred font on that soon.

However there still an issue: even for example ko_KR has good font fallback
defined. The UI are okay, however the body text in writer is using AR PL
Mingti2L Big5. That's same across CJK.

For Indic, everyone of the writer body font are default to Lohit Hindi.

I am going to attach a screenshot for it.
Comment 8 Leon Ho 2005-04-14 01:01:00 EDT
Created attachment 113141 [details]
oowriter in LANG=ko_KR.UTF-8
Comment 9 Leon Ho 2005-04-14 01:15:39 EDT
Please add these for ja-JP:

UI: Sazanami Mincho, Kochi Mincho
Body Text: Sazanami Gothic, Kochi Gothic
Comment 10 Leon Ho 2005-04-14 01:31:11 EDT
While we at it, it should be good idea to add the new fonts of zh-tw and zh-cn
as well:

zh_TW:
UI: AR PL ShanHeiSun Uni, AR PL Mingti2L Big5
Body: AR PL ShanHeiSun Uni, AR PL Mingti2L Big5

zh_CN:
UI: ZYSong18030, AR PL ShanHeiSun Uni, AR PL SungtiL GB
Body: ZYSong18030, AR PL ShanHeiSun Uni, AR PL SungtiL GB
Comment 11 Caolan McNamara 2005-04-14 04:58:47 EDT
Created attachment 113143 [details]
replace /usr/lib/openoffice.org1.9.92/share/registry/data/org/openoffice/VCL.xcu with this
Comment 12 Caolan McNamara 2005-04-14 05:12:27 EDT
Lets try this new VCL.xcu with the above CJK changes

A) the fonts for the UI are taken as the appropiate font to use for the locale,
i.e. changing LANG and restarting takes effect immediately

B) but the fonts to use inside writer/calc etc for each of the three classes of
Western/CJK/CTL are actually taken from the "first run" of openoffice. So if you
start OOo for the first time in zh_TW then start in ja_JP the UI should use
ja_JP fonts, but the default language to use for CJK for inside writer will have
been set to zh_TW on the first run so the zh_TW fonts are shown in the font
dialog. This is also why all the indic fonts got "stuck" on Lohit Hindi

So, to test our VCL fallbacks for the default CJK fonts for writer (i.e. Body
above) rm -rf .openoffice.org2.0 between runs where the LANG is changed.
Comment 13 Leon Ho 2005-04-18 00:10:41 EDT
Caolan, confirmed attachment in comment #11 is good. Thanks.

For comment #13 B), we had better luck on 1.1.3. The $HOME/.openoffice* did not
needed to be removed. Are there anyways we can make it better for the
multilingal users?
Comment 14 Caolan McNamara 2005-04-18 04:44:07 EDT
Oh yes, I have a patch for comment #13, what I don't have is a working compiler
at the moment to build OOo with. Let's keep things as one problem per issue
otherwise it makes tracking our problems impractical. So if I can push out a
build with this VCL.xcu as the default then that will address this issue.

Note You need to log in before you can comment on or make changes to this bug.